<header>
    <div>
        <span i18n>language: </span>
        <a href="../en" [ngClass]="{'link-active': language === 'en'}">en</a> |
        <a href="../nl" [ngClass]="{'link-active': language === 'nl'}">nl</a> |
        <a href="../ru" [ngClass]="{'link-active': language === 'ru'}">ru</a>
    </div>

    <div>
        <span i18n>theme: </span>
        <a href="#"
           [ngClass]="{'link-active': theme === 'light'}"
           (click)="theme = 'light'; $event.preventDefault();">light</a> |
        <a href="#"
           [ngClass]="{'link-active': theme === 'dark'}"
           (click)="theme = 'dark'; $event.preventDefault();">dark</a> |
        <a href="#"
           [ngClass]="{'link-active': theme === 'auto'}"
           (click)="theme = 'auto'; $event.preventDefault();">auto</a>
    </div>
</header>

<article>
    <h1>Weather widget</h1>

    <p>An Angular component displaying weather forecasts in selected cities.</p>

    <bb-weather-widget class="widget"></bb-weather-widget>

    <p>Widget features:</p>

    <ul>
        <li>Displays current weather for a city</li>
        <li>Displays hourly forecast for a city</li>
        <li>Allows modifying cities list</li>
        <li>Refreshes data in LocalStorage</li>
        <li>Updates data by timeout</li>
        <li>Supports color theming by CSS variables</li>
        <li>Supports Angular internationalization (i18n)</li>
    </ul>

    <h2>Install</h2>

    <p>Register module registry namespace locally. For example, by
        creating local <code>.npmrc</code> file with the following line:</p>

    <code>@kirillsud:registry=https://gitlab.com/api/v4/packages/npm/</code>

    <p>Then, install the module, and it's dependencies, if needed:</p>

    <code>npm install --save @kirillsud/weather-component @ngrx/component-store@11</code>

    <p>After that, you should import <code>WeatherWidgetModule</code> into your application module:</p>

    <app-gitlab-snippet project="kirillsud/weather-component" id="2090589"></app-gitlab-snippet>

    <h2></h2>
</article>

